"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("./base-command");
const app_1 = require("./app");
const locale_1 = require("@joplin/lib/locale");
const BaseModel_1 = require("@joplin/lib/BaseModel");
const shim_1 = require("@joplin/lib/shim");
class Command extends base_command_1.default {
    usage() {
        return 'attach <note> <file>';
    }
    description() {
        return (0, locale_1._)('Attaches the given file to the note.');
    }
    action(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const title = args['note'];
            const note = yield (0, app_1.default)().loadItem(BaseModel_1.default.TYPE_NOTE, title, { parent: (0, app_1.default)().currentFolder() });
            this.encryptionCheck(note);
            if (!note)
                throw new Error((0, locale_1._)('Cannot find "%s".', title));
            const localFilePath = args['file'];
            yield shim_1.default.attachFileToNote(note, localFilePath);
        });
    }
}
module.exports = Command;
//# sourceMappingURL=command-attach.js.map