"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("./base-command");
const Folder_1 = require("@joplin/lib/models/Folder");
const Note_1 = require("@joplin/lib/models/Note");
const Tag_1 = require("@joplin/lib/models/Tag");
class Command extends base_command_1.default {
    usage() {
        return 'dump';
    }
    description() {
        return 'Dumps the complete database as JSON.';
    }
    hidden() {
        return true;
    }
    action() {
        return __awaiter(this, void 0, void 0, function* () {
            let items = [];
            const folders = yield Folder_1.default.all();
            for (let i = 0; i < folders.length; i++) {
                const folder = folders[i];
                const notes = yield Note_1.default.previews(folder.id);
                items.push(folder);
                items = items.concat(notes);
            }
            const tags = yield Tag_1.default.all();
            for (let i = 0; i < tags.length; i++) {
                tags[i].notes_ = yield Tag_1.default.noteIds(tags[i].id);
            }
            items = items.concat(tags);
            this.stdout(JSON.stringify(items));
        });
    }
}
module.exports = Command;
//# sourceMappingURL=command-dump.js.map