"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("./base-command");
const app_1 = require("./app");
const Setting_1 = require("@joplin/lib/models/Setting");
const ReportService_1 = require("@joplin/lib/services/ReportService");
const fs = require("fs-extra");
class Command extends base_command_1.default {
    usage() {
        return 'export-sync-status';
    }
    description() {
        return 'Export sync status';
    }
    hidden() {
        return true;
    }
    action() {
        return __awaiter(this, void 0, void 0, function* () {
            const service = new ReportService_1.default();
            const csv = yield service.basicItemList({ format: 'csv' });
            const filePath = `${Setting_1.default.value('profileDir')}/syncReport-${new Date().getTime()}.csv`;
            yield fs.writeFileSync(filePath, csv);
            this.stdout(`Sync status exported to ${filePath}`);
            (0, app_1.default)()
                .gui()
                .showConsole();
            (0, app_1.default)()
                .gui()
                .maximizeConsole();
        });
    }
}
module.exports = Command;
//# sourceMappingURL=command-export-sync-status.js.map