"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("./base-command");
const app_1 = require("./app");
const locale_1 = require("@joplin/lib/locale");
const BaseModel_1 = require("@joplin/lib/BaseModel");
const Note_1 = require("@joplin/lib/models/Note");
class Command extends base_command_1.default {
    usage() {
        return 'geoloc <note>';
    }
    description() {
        return (0, locale_1._)('Displays a geolocation URL for the note.');
    }
    action(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const title = args['note'];
            const item = yield (0, app_1.default)().loadItem(BaseModel_1.default.TYPE_NOTE, title, { parent: (0, app_1.default)().currentFolder() });
            if (!item)
                throw new Error((0, locale_1._)('Cannot find "%s".', title));
            const url = Note_1.default.geolocationUrl(item);
            this.stdout(url);
            (0, app_1.default)()
                .gui()
                .showConsole();
        });
    }
}
module.exports = Command;
//# sourceMappingURL=command-geoloc.js.map