"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("./base-command");
const app_1 = require("./app");
const locale_1 = require("@joplin/lib/locale");
const BaseModel_1 = require("@joplin/lib/BaseModel");
class Command extends base_command_1.default {
    usage() {
        return 'use <notebook>';
    }
    description() {
        return (0, locale_1._)('Switches to [notebook] - all further operations will happen within this notebook.');
    }
    compatibleUis() {
        return ['cli'];
    }
    action(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const folder = yield (0, app_1.default)().loadItem(BaseModel_1.default.TYPE_FOLDER, args['notebook']);
            if (!folder)
                throw new Error((0, locale_1._)('Cannot find "%s".', args['notebook']));
            (0, app_1.default)().switchCurrentFolder(folder);
        });
    }
}
module.exports = Command;
//# sourceMappingURL=command-use.js.map